Get Issued Gift Card Detail
curl --request GET \
--url https://api.decodahealth.com/billing/gift-cards/issued/{gift_card_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/gift-cards/issued/{gift_card_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/gift-cards/issued/{gift_card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"code": "<string>",
"initialValue": 123,
"currentBalance": 123,
"isActive": true,
"status": "PENDING",
"createdDate": "2023-11-07T05:31:56Z",
"purchasingPatientId": "<string>",
"purchasingPatientName": "<string>",
"recipientPatientId": "<string>",
"recipientPatientName": "<string>",
"recipientNote": "<string>",
"activatedAt": "2023-11-07T05:31:56Z",
"recipientPatientEmail": "<string>",
"recipientPatientPhone": "<string>",
"chargeItemId": "<string>",
"purchasingPatientEmail": "<string>",
"purchasingPatientPhone": "<string>",
"scheduledSendDate": "2023-11-07T05:31:56Z",
"suppressRecipientNotification": false,
"notificationSentAt": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"transactions": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Get Issued Gift Card Detail
Get detailed information about a specific issued gift card.
GET
/
billing
/
gift-cards
/
issued
/
{gift_card_id}
Get Issued Gift Card Detail
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Available options:
PENDING, ACTIVE, DISABLED, VOIDED Show child attributes
Show child attributes

